Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 27 Mar 2015, 07:56
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
De dónde bajo libgtk-3.so.0 para Slacko?
Moderators: rarsa
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [6 Posts]  
Author Message
Rope

Joined: 20 Feb 2013
Posts: 357

PostPosted: Fri 13 Mar 2015, 00:33    Post subject:  De dónde bajo libgtk-3.so.0 para Slacko?  

Estoy tratando de hacer andar una webcam.

# guvcview
guvcview: error while loading shared libraries: libgtk-3.so.0: cannot open shared object file: No such file or directory

_________________
Puppy Slacko 5.7 frugal (windows installer)
Broken Windows XP after switching from Intel to AMD
Back to top
View user's profile Send private message 
mister_electronico


Joined: 20 Jan 2008
Posts: 753
Location: Asturias_ España

PostPosted: Fri 13 Mar 2015, 15:41    Post subject: Mira haber si te vale.  

Mira a ver si te vale no probado pero es para ubuntu, no se si habra un gtk+3 especifico para slacko, pienso que puede funcionarte de otras como a mi me a ocurrido multitud de veces:

Seguro que todo esto lo sabes pero no esta mal recordar para los que empiezan:

En multitud de ocasiones para que un programa te funcione se trata de que tenga libreria adecuada.

Si te metes donde esta en ejecutable y ejemplo /usr/bin y tecleceamos

ldd "programa" nos dira todas las librerias que necesita y que las que no tiene o faltan.

Muchas veces no necesita ninguna libreria y lo falta es un link. ejemplo:

libgtkextra-x11-3.0.so esto no es una libreria sino un enlace a : libgtkextra-x11-3.0.so.5.0.0


con el comando anterior ldd te lo muestra en la salida como.

libgtkextra-x11-3.0.so --> libgtkextra-x11-3.0.so.5.0.0

Donde libgtkextra-x11-3.0.so.5.0.0 es la verdadera libreria.

pues te metes dentro de /usr/lib y creas ese enlace.


ldd -s libgtkextra-x11-3.0.so.5.0.0 libgtkextra-x11-3.0.so


Para puppy es muy habitual buscar librerias en Debian o Ubuntu pero a veces no las encuentras en ninguna de las dos y estan en paquetes RPM, yo veo el contenido de esos archivos el descompresor "Peazip" y descomprimo solo las librerias que necesito del paquete RPM.

Perdon que me enrolle y seguro que todo esto lo sabes pero siempre esta bien dar una explicacion para toda la gente que empieza y pueda hacer funcionar los programas.

Encontre este enlace de ubuntu de guvcview que no he probado pero que tiene tambien la dependencia gtk-3-0



http://packages.ubuntu.com/vivid/i386/guvcview

Yo creo tener tambien esa libreria instalada justo desde esta distribucion que estoy funcionando ahora en slacko si te hace falta me mandas un listado del ldd y hago un paquete y te lo envio.

saludos.
Back to top
View user's profile Send private message Visit poster's website Yahoo Messenger 
mister_electronico


Joined: 20 Jan 2008
Posts: 753
Location: Asturias_ España

PostPosted: Fri 13 Mar 2015, 15:51    Post subject: continuando un poco con el tema.  

Continuando con el tema y fuera de la cuestion que tu planteas.

En muchas ocasiones se me ha dado la circunstancia de que me pide un instalar todo un paquete cuando en realidad lo que necesita es una o dos librerias del paquete, la diferencia esta en instalar a lo mejor unos Kbytes con respecto a Mbytes.


Bien es verdad que muchas veces haces un ldd y ves que te falta una libreria, la instalas y luego haces otro ldd y aparece que necesita otra u otras, y asi sucesivamente, con lo cual evidentemente con llevaba la inclusion total de ese paquete o a lo mejor de otros sitios.

A tener en cuenta si es para tu arquitectura de ordenador 386 o AMD, si es para 32 o 64 bits a la hora de instalar etc..

Algunas veces te coges una version anterior del programa y lo instalas y no necesitas instalar ninguna libreria y te funciona perfectamente.



Saludos.
Back to top
View user's profile Send private message Visit poster's website Yahoo Messenger 
Rope

Joined: 20 Feb 2013
Posts: 357

PostPosted: Fri 13 Mar 2015, 18:16    Post subject:  

Gracias mister voy a leer tu aporte.
_________________
Puppy Slacko 5.7 frugal (windows installer)
Broken Windows XP after switching from Intel to AMD
Back to top
View user's profile Send private message 
Aztk

Joined: 22 Aug 2014
Posts: 31
Location: Oaxaca, México

PostPosted: Mon 16 Mar 2015, 12:40    Post subject:  Muchas gracias  

Muchas gracias por tu aportación Mister_Electronico Smile . Siempre he tenido dudas sobre las dependencias y con tu respuesta me ha quedado claro cómo debo de averiguar si cierta aplicación necesita dependencias Idea . Muchas gracias por tu explicación tan digerida y fácil.
Back to top
View user's profile Send private message 
mister_electronico


Joined: 20 Jan 2008
Posts: 753
Location: Asturias_ España

PostPosted: Mon 16 Mar 2015, 16:19    Post subject: De nada.  

Me alegro....
Suerte.
Back to top
View user's profile Send private message Visit poster's website Yahoo Messenger 
Display posts from previous:   Sort by:   
Page 1 of 1 [6 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0635s ][ Queries: 11 (0.0158s) ][ GZIP on ]